<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.modules.map.mapper.PlatformvideomanagementMapper">

	<select id="listAllForMap" resultType="pd">
		select
		PLATFORMVIDEOMANAGEMENT_ID as id,
		NAME as NAME,
		NAME as MAP_POINT_NAME,
		LONGITUDE as LONGITUDE,
		LATITUDE as LATITUDE,
		INDEXCODE
		from
		BUS_PLATFORMVIDEOMANAGEMENT f
		where  1 = 1
		<if test="CORPINFO_ID != null and CORPINFO_ID != ''"><!-- 关键词检索 -->
			and f.CORPINFO_ID = #{CORPINFO_ID}
		</if>
	</select>
</mapper>
